﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS700C (1 yr) Bandwidth IEEE /9100+Opt600
INSTRUMENT:            Sub TDS700C (1 yr) Sens IEEE /9100+Opt600
DATE:                  2011-04-29 11:01:31
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       20
NUMBER OF LINES:       719
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds700c_1yr_bw_trig_sens_ieee_9100_opt600.txt,v $
#    $Date: 2009/12/03 20:49:13 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 700C
#          TDS 724C, TDS 754C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        91_4ck_1.jpg      Picture: 9100 Scope Sig Out - Channel 1
#        91_4ck_2.jpg      Picture: 9100 Scope Sig Out - Channel 2
#        91_4ck_3.jpg      Picture: 9100 Scope Sig Out - Channel 3
#        91_4ck_4.jpg      Picture: 9100 Scope Sig Out - Channel 4
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.002  JMPL         TRIG_SENSITIVITY             PSUBI("Sens")
  1.003  DISP         {Undefined subprocedure!}
  1.004  END

  1.005  EVAL   Increment step number

# ****************************** Bandwidth *********************************

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =ANALOG BANDWIDTH
  2.005  ENDIF

  2.006  CALL         Sub TDS500/600/700 Channel Name
  2.007  RSLT         =
  2.008  RSLT         = [V @ChanName]

  2.009  RSLT         =
  2.010  HEAD         ANALOG BANDWIDTH (CH [V @Chan])
  2.011  HEAD         -2{ 100 mV/div}
  2.012  TARGET
  2.013  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.014  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL

  2.015  IF           @Chan == 1
  2.016  PIC          91_4CK_1.jpg
  2.017  DISP         The next routine operator intervention occurs
  2.017  DISP         in approximately 1 minutes ...

  2.018  ELSE         ; Channel 2, 3, 4

  2.019  IF           @Chan == 2
  2.020  PIC          91_4CK_2.jpg
  2.021  ELSEIF       @Chan == 3
  2.022  PIC          91_4CK_3.jpg
  2.023  ELSE
  2.024  PIC          91_4CK_4.jpg
  2.025  ENDIF

  2.026  MATH         Time = 1 + NOT(@OptBWSkipped) * @OptChBWTime
  2.027  MATH         Time = Time + NOT(@SkipCh234Sens) * @OptChSensTime
  2.028  DISP         The next routine operator intervention occurs
  2.028  DISP         in approximately [V Time] minutes ...
  2.029  ENDIF

  2.030  IEEE2        CH[V @Chan]:IMP FIF
  2.031  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.032  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  2.033  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  2.034  IEEE2        MEASU:METH MINM
  2.035  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE FREQ;STATE ON
  2.035  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYP PK2P;STATE ON
  2.036  IEEE2        HOR:SCA 50E-9
  2.037  IEEE2        CH[V @Chan]:SCA 100E-3

# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  2.038  MATH         @TriggeredChkTimes = 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.039  MATH         MEM = 600; MEM1 = MEM

  2.040  DO
  2.041  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.042  IF           MEM > 5560 || MEM < 4.44
  2.043  MATH         MEM = 600
  2.044  ENDIF

  2.045  9100         mVpp                         10MH           LS SC S  L

  2.046  DO
  2.047  IEEE2        [D500]TRIG:MAI SETL
  2.048  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.049  UNTIL        @Triggered

  2.050  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  2.051  MATH         MEM = MEM / 1E-3
  2.052  UNTIL        (MEM >= 599) && (MEM <= 601)

  2.053  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  2.054  MATH         MEM = MEM1

  2.055  9100         mVpp                         500MH          LS SC S  L
  2.056  IEEE2        TRIG:MAI SETL
  2.057  WAIT         -t 3 System Settling ...
  2.058  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  2.059  MATH         MEM = MEM / 1E-3
  2.060  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  2.061  MEM2         = Limit: >= 424 mVpp @ 500 MHz, Result: [MEM2]
  2.062  EVAL   -e MEM >= 424 : [MEM2]

  3.001  HEAD         -2
  3.002  9100         *                                                 S

# If desired, you can test the optional bandwidth test or skip them.
  3.003  IF           @Chan == 1
  3.004  HEAD         BANDWIDTH TESTS (OTHER SCALES)
  3.005  OPBR         -z Checking the bandwidth of each channel at all
  3.005  OPBR         vertical scale settings is time consuming and
  3.005  OPBR         unnecessary if Self Test, Signal Path Compensation
  3.005  OPBR         and 100 mV scale bandwidth test have passed.
  3.005  OPBR
  3.005  OPBR         [No]Do you want to test the optional bandwidth test of
  3.005  OPBR         other scale settings?
  3.006  MATH         @TestOptBW = MEM1

# The next routine execution time include sample rate test, optional bandwidth
# test, trigger time accuracy test and CH 1 trigger sensitivity test.
  3.007  MATH         Time = @TestOptBW * @OptChBWTime + 6
  3.008  DISP         The next routine operator intervention occurs
  3.008  DISP         in approximately [V Time] minutes ...
  3.009  ENDIF

  3.010  IF           @TestOptBW
# Set the trigger coupling to noise rejection for vertical settings of 1,
# 2, 5 mV/div.
  3.011  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE

  3.012  RSLT         =
  3.013  HEAD         -2{ 2 mV/div}
  3.014  TARGET
  3.015  IEEE2        HOR:SCA 50E-9
  3.016  IEEE2        CH[V @Chan]:SCA 2E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 11.99 mV and 12.01 mV.
  3.017  MATH         MEM = 12; MEM1 = MEM

  3.018  DO
  3.019  MATH         MEM = MEM1 + (12 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.020  IF           MEM > 5560 || MEM < 4.44
  3.021  MATH         MEM = 12
  3.022  ENDIF

  3.023  9100         mVpp                         10MH           LS SC S  L

  3.024  DO
  3.025  IEEE2        [D500]TRIG:MAI SETL
  3.026  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  3.027  UNTIL        @Triggered

  3.028  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  3.029  MATH         MEM = MEM / 1E-3
  3.030  UNTIL        (MEM >= 11.99) && (MEM <= 12.01)

  3.031  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  3.032  MATH         MEM = MEM1
  3.033  9100         mVpp                         500MH          LS SC S  L
  3.034  MATH         Freq = "500"
  3.035  IEEE2        TRIG:MAI SETL
  3.036  WAIT         -t 3 System Settling ...
  3.037  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  3.038  MATH         MEM = MEM / 1E-3
  3.039  MATH         MEM2 = FMT(MEM, "%.2f") & " mVpp"
  3.040  MEM2         = Limit: >= 8.48 mVpp @ [V Freq] MHz, Result: [MEM2]
  3.041  EVAL   -e MEM >= 8.48 : [MEM2]

  4.001  RSLT         =
  4.002  HEAD         -2{ 5 mV/div}
  4.003  TARGET
  4.004  IEEE2        HOR:SCA 50E-9
  4.005  IEEE2        CH[V @Chan]:SCA 5E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 29.9 mV and 30.1 mV.
  4.006  MATH         MEM = 30; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (30 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5560 || MEM < 4.44
  4.010  MATH         MEM = 30
  4.011  ENDIF

  4.012  9100         mVpp                         10MH           LS SC S  L

  4.013  DO
  4.014  IEEE2        [D500]TRIG:MAI SETL
  4.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  4.016  UNTIL        @Triggered

  4.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  4.018  MATH         MEM = MEM / 1E-3
  4.019  UNTIL        (MEM >= 29.9) && (MEM <= 30.1)

  4.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  4.021  MATH         MEM = MEM1
  4.022  9100         mVpp                         500MH          LS SC S  L
  4.023  MATH         Freq = "500"
  4.024  IEEE2        TRIG:MAI SETL
  4.025  WAIT         -t 3 System Settling ...
  4.026  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  4.027  MATH         MEM = MEM / 1E-3
  4.028  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  4.029  MEM2         = Limit: >= 21.2 mVpp @ [V Freq] MHz, Result: [MEM2]
  4.030  EVAL   -e MEM >= 21.2 : [MEM2]

# Reset the trigger coupling to DC.
  5.001  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC

  5.002  RSLT         =
  5.003  HEAD         -2{ 10 mV/div}
  5.004  TARGET
  5.005  IEEE2        HOR:SCA 50E-9
  5.006  IEEE2        CH[V @Chan]:SCA 10E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 59.9 mV and 60.1 mV.
  5.007  MATH         MEM = 60; MEM1 = MEM

  5.008  DO
  5.009  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  5.010  IF           MEM > 5560 || MEM < 4.44
  5.011  MATH         MEM = 60
  5.012  ENDIF

  5.013  9100         mVpp                         10MH           LS SC S  L

  5.014  DO
  5.015  IEEE2        [D500]TRIG:MAI SETL
  5.016  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  5.017  UNTIL        @Triggered

  5.018  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  5.019  MATH         MEM = MEM / 1E-3
  5.020  UNTIL        (MEM >= 59.9) && (MEM <= 60.1)

  5.021  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  5.022  MATH         MEM = MEM1
  5.023  9100         mVpp                         500MH          LS SC S  L
  5.024  IEEE2        TRIG:MAI SETL
  5.025  WAIT         -t 3 System Settling ...
  5.026  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  5.027  MATH         MEM = MEM / 1E-3
  5.028  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  5.029  MEM2         = Limit: >= 42.4 mVpp @ 500 MHz, Result: [MEM2]
  5.030  EVAL   -e MEM >= 42.4 : [MEM2]

  6.001  RSLT         =
  6.002  HEAD         -2{ 20 mV/div}
  6.003  TARGET
  6.004  IEEE2        HOR:SCA 50E-9
  6.005  IEEE2        CH[V @Chan]:SCA 20E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 119.9 mV and 120.1 mV.
  6.006  MATH         MEM = 120; MEM1 = MEM

  6.007  DO
  6.008  MATH         MEM = MEM1 + (120 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.009  IF           MEM > 5560 || MEM < 4.44
  6.010  MATH         MEM = 120
  6.011  ENDIF

  6.012  9100         mVpp                         10MH           LS SC S  L

  6.013  DO
  6.014  IEEE2        [D500]TRIG:MAI SETL
  6.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  6.016  UNTIL        @Triggered

  6.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  6.018  MATH         MEM = MEM / 1E-3
  6.019  UNTIL        (MEM >= 119.9) && (MEM <= 120.1)

  6.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  6.021  MATH         MEM = MEM1
  6.022  9100         mVpp                         500MH          LS SC S  L
  6.023  IEEE2        TRIG:MAI SETL
  6.024  WAIT         -t 3 System Settling ...
  6.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  6.026  MATH         MEM = MEM / 1E-3
  6.027  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  6.028  MEM2         = Limit: >= 84.8 mVpp @ 500 MHz, Result: [MEM2]
  6.029  EVAL   -e MEM >= 84.8 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{ 50 mV/div}
  7.003  TARGET
  7.004  IEEE2        HOR:SCA 50E-9
  7.005  IEEE2        CH[V @Chan]:SCA 50E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 299 mV and 301 mV.
  7.006  MATH         MEM = 300; MEM1 = MEM

  7.007  DO
  7.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.009  IF           MEM > 5560 || MEM < 4.44
  7.010  MATH         MEM = 300
  7.011  ENDIF

  7.012  9100         mVpp                         10MH           LS SC S  L

  7.013  DO
  7.014  IEEE2        [D500]TRIG:MAI SETL
  7.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  7.016  UNTIL        @Triggered

  7.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  7.018  MATH         MEM = MEM / 1E-3
  7.019  UNTIL        (MEM >= 299) && (MEM <= 301)

  7.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  7.021  MATH         MEM = MEM1
  7.022  9100         mVpp                         500MH          LS SC S  L
  7.023  IEEE2        TRIG:MAI SETL
  7.024  WAIT         -t 3 System Settling ...
  7.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  7.026  MATH         MEM = MEM / 1E-3
  7.027  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  7.028  MEM2         = Limit: >= 212 mVpp @ 500 MHz, Result: [MEM2]
  7.029  EVAL   -e MEM >= 212 : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         -2{ 200 mV/div}
  8.003  TARGET
  8.004  IEEE2        HOR:SCA 50E-9
  8.005  IEEE2        CH[V @Chan]:SCA 200E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 1199 mV and 1201 mV.
  8.006  MATH         MEM = 1200; MEM1 = MEM

  8.007  DO
  8.008  MATH         MEM = MEM1 + (1200 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.009  IF           MEM > 5560 || MEM < 4.44
  8.010  MATH         MEM = 1500
  8.011  ENDIF

  8.012  9100         mVpp                         10MH           LS SC S  L
  8.013  IEEE2        [D200]TRIG:MAI SETL[D800]
  8.014  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  8.015  MATH         MEM = MEM / 1E-3
  8.016  UNTIL        (MEM >= 1199) && (MEM <= 1201)

  8.017  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  8.018  MATH         MEM = MEM1
  8.019  9100         mVpp                         500MH          LS SC S  L
  8.020  IEEE2        TRIG:MAI SETL
  8.021  WAIT         -t 3 System Settling ...
  8.022  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  8.023  MATH         MEM = MEM / 1E-3
  8.024  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  8.025  MEM2         = Limit: >= 848 mVpp @ 500 MHz, Result: [MEM2]
  8.026  EVAL   -e MEM >= 848 : [MEM2]

  9.001  RSLT         =
  9.002  HEAD         -2{ 500 mV/div}
  9.003  TARGET
  9.004  IEEE2        HOR:SCA 50E-9
  9.005  IEEE2        CH[V @Chan]:SCA 500E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01 V
  9.006  MATH         MEM = 3; MEM1 = MEM

  9.007  DO
  9.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.009  IF           MEM > 5.56 || MEM < 0.00444
  9.010  MATH         MEM = 3
  9.011  ENDIF

  9.012  9100         Vpp                          10MH           LS SC S  L

  9.013  DO
  9.014  IEEE2        [D500]TRIG:MAI SETL
  9.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  9.016  UNTIL        @Triggered

  9.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  9.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

  9.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  9.020  MATH         MEM = MEM1
  9.021  9100         Vpp                          500MH          LS SC S  L
  9.022  IEEE2        TRIG:MAI SETL
  9.023  WAIT         -t 3 System Settling ...
  9.024  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  9.025  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
  9.026  MEM2         = Limit: >= 2.12 Vpp @ 500 MHz, Result: [MEM2]
  9.027  EVAL   -e MEM >= 2.12 : [MEM2]

 10.001  RSLT         =
 10.002  HEAD         -2{ 1 V/div}
 10.003  TARGET
 10.004  IEEE2        HOR:SCA 50E-9
 10.005  IEEE2        CH[V @Chan]:SCA 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01V because 9100 calibrator can only output maximum
# leveled sine 3.336 Vpp at 500 MHz.
 10.006  MATH         MEM = 3; MEM1 = MEM

 10.007  DO
 10.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.009  IF           MEM > 5.56 || MEM < 0.00444
 10.010  MATH         MEM = 3
 10.011  ENDIF

 10.012  9100         Vpp                          10MH           LS SC S  L

 10.013  DO
 10.014  IEEE2        [D500]TRIG:MAI SETL
 10.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 10.016  UNTIL        @Triggered

 10.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
 10.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

 10.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
 10.020  MATH         MEM = MEM1
 10.021  9100         Vpp                          500MH          LS SC S  L
 10.022  IEEE2        TRIG:MAI SETL
 10.023  WAIT         -t 3 System Settling ...
 10.024  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
 10.025  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
 10.026  MEM2         = Limit: >= 2.12 Vpp @ 500 MHz, Result: [MEM2]
 10.027  EVAL   -e MEM >= 2.12 : [MEM2]

 11.001  HEAD         -2
 11.002  9100         *                                                 S
 11.003  ENDIF

 11.004  END

 11.005  EVAL   Increment step number

# ******************************** Sens ***********************************

 12.001  LABEL        TRIG_SENSITIVITY

 12.002  IF           @Chan == 1
 12.003  RSLT         =
 12.004  RSLT         =TRIG SENSITIVITY TESTS
 12.005  ENDIF

 12.006  CALL         Sub TDS500/600/700 Channel Name
 12.007  RSLT         =
 12.008  RSLT         = [V @ChanName]

 12.009  RSLT         =
 12.010  HEAD         TRIG SENSITIVITY TESTS (CH [V @Chan])
 12.011  HEAD         -2{ MAIN TRIG: (DC Coupled, 50 MHz)}
 12.012  TARGET
 12.013  CALL         Sub TDS500/600/700 Select Channel IEEE
 12.014  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
 12.015  IEEE2        TRIG:MAI:MOD NORM;TYP EDGE
 12.016  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
 12.017  IEEE2        ACQ:MODE AVE;NUMAV 16;STATE ON
 12.018  IEEE2        HOR:MAI:SCA 25.0E-9
 12.019  IEEE2        HOR:MOD DELAYED
 12.020  IEEE2        HOR:DEL:MOD TRIGA
 12.021  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 12.022  IEEE2        HOR:DEL:SEC 25.0E-9

# Set to main trigger.
 12.022  IEEE2        HOR:MOD MAIN
 12.022  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
 12.023  IEEE2        TRIG:MAI:EDGE:SLO RISE
 12.024  IEEE2        TRIG:MAI SETL
 12.025  IEEE2        MEASU:METH MINM
 12.026  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON

# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
 12.027  MATH         @TriggeredChkTimes = 1

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 350 mV (100 mV/div, 3.5 div).
 12.028  MATH         MEM = 350; MEM1 = MEM

 12.029  DO
 12.030  MATH         MEM = MEM1 + (350 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.031  IF           MEM > 5560 || MEM < 4.44
 12.032  MATH         MEM = 350
 12.033  ENDIF

 12.034  9100         mVpp                         50MH           LS SC S  L

 12.035  DO
 12.036  IEEE2        [D500]TRIG:MAI SETL
 12.037  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 12.038  UNTIL        @Triggered

 12.039  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 12.040  MATH         MEM = MEM / 1E-3
 12.041  UNTIL        (MEM >= 348) && (MEM <= 352)

# Reduce the output of calibrator to one tenth (about 35 mV or 0.35 div)
# in place of using a 10x attenuator.
 12.042  MATH         @AmplVpp = (MEM1 * 1E-3) / 10
 12.043  MATH         MEM = @AmplVpp / 1E-3
 12.044  9100         mVpp                         50MH           LS SC S  L

 12.045  IEEE2        TRIG:MAI:EDGE:SLO RISE
# Set the increment for Sub TDS500/600/700 Main or Delayed Trigger IEEE.
 12.046  MATH         @StepVal = 2E-3
 12.047  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 12.048  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 12.049  EVAL   -e @TriggerStable : [MEM2]

 13.001  MATH         MEM = @AmplVpp / 1E-3
 13.002  9100         mVpp                         50MH           LS SC S  L
 13.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 13.004  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 13.005  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 13.006  EVAL   -e @TriggerStable : [MEM2]

# Set back to rise slope edge trigger.
 14.001  IEEE2        TRIG:MAI:EDGE:SLO RISE

 14.002  RSLT         =
 14.003  HEAD         -2{ DELAYED TRIG: (DC Coupled, 50 MHz)}
 14.004  TARGET
# Set to delayed trigger.
 14.005  IEEE2        HOR:MOD DELAYED
 14.006  IEEE2        HOR:DEL:MOD TRIGA
 14.007  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 14.008  IEEE2        TRIG:DEL:EDGE:SLO RISE
 14.009  MATH         MEM = @AmplVpp / 1E-3
 14.010  9100         mVpp                         50MH           LS SC S  L
 14.011  IEEE2        TRIG:DEL SETL
 14.012  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 14.013  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 14.014  EVAL   -e @TriggerStable : [MEM2]

 15.001  IEEE2        TRIG:DEL:EDGE:SLO FALL
 15.002  MATH         MEM = @AmplVpp / 1E-3
 15.003  9100         mVpp                         50MH           LS SC S  L
 15.004  IEEE2        TRIG:DEL SETL
 15.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 15.006  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 15.007  EVAL   -e @TriggerStable : [MEM2]

 16.001  RSLT         =
 16.002  HEAD         -2{ MAIN TRIG: (DC Coupled, Full Bandwidth)}
 16.003  TARGET
# Set to main trigger again.
 16.004  IEEE2        HOR:MOD MAIN
 16.004  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
 16.005  IEEE2        HOR:SCA 500E-12
 16.006  IEEE2        TRIG:MAI SETL
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV (100 mV/div, 5 div).
 16.007  MATH         MEM = 500; MEM1 = MEM

 16.008  DO
 16.009  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 16.010  IF           MEM > 3360 || MEM < 10.656
 16.011  MATH         MEM = 500
 16.012  ENDIF

 16.013  9100         mVpp                         500MH          LS SC S  L

 16.014  DO
 16.015  IEEE2        [D500]TRIG:MAI SETL
 16.016  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 16.017  UNTIL        @Triggered

 16.018  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 16.019  MATH         MEM = MEM / 1E-3
 16.020  UNTIL        (MEM >= 495) && (MEM <= 505)

# Reduce the output of calibrator to one fifth (about 100 mV or 1 div)
# in place of using a 5x attenuator.
 16.021  MATH         @AmplVpp = (MEM1 * 1E-3) / 5
 16.022  MATH         MEM = @AmplVpp / 1E-3
 16.023  9100         mVpp                         500MH          LS SC S  L
 16.024  MATH         @StepVal = 2E-3
 16.025  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 16.026  MEM2         = Rising Slope, Limit: 1 div @ 500 MHz
 16.027  EVAL   -e @TriggerStable : [MEM2]

 17.001  MATH         MEM = @AmplVpp / 1E-3
 17.002  9100         mVpp                         500MH          LS SC S  L
 17.003  IEEE2        TRIG:MAIN SETL
 17.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 17.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 17.006  MEM2         = Falling Slope, Limit: 1 div @ 500 MHz
 17.007  EVAL   -e @TriggerStable : [MEM2]

 18.001  RSLT         =
 18.002  HEAD         -2{ DELAYED TRIG: (DC Coupled, Full Bandwidth)}
 18.003  TARGET
 18.004  IEEE2        TRIG:MAI:EDGE:SLO RISE
 18.005  IEEE2        TRIG:MAI:EDGE:SOU LINE
 18.006  IEEE2        HOR:MOD DELAYED
 18.007  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 18.008  IEEE2        TRIG:DEL:EDGE:SLO RISE
 18.009  MATH         MEM = @AmplVpp / 1E-3
 18.010  9100         mVpp                         500MH          LS SC S  L
 18.011  IEEE2        TRIG:DEL SETL
 18.012  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 18.013  MEM2         = Rising Slope, Limit: 1 div @ 500 MHz
 18.014  EVAL   -e @TriggerStable : [MEM2]

 19.001  IEEE2        TRIG:DEL:EDGE:SLO FALL
 19.002  MATH         MEM = @AmplVpp / 1E-3
 19.003  9100         mVpp                         500MH          LS SC S  L
 19.004  IEEE2        TRIG:DEL SETL
 19.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 19.006  MEM2         = Falling Slope, Limit: 1 div @ 500 MHz
 19.007  EVAL   -e @TriggerStable : [MEM2]

 20.001  HEAD         -2
 20.002  9100         *                                                 S
 20.003  END
